Get trades excel

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /projects/{projectId}/scenarios/{scenarioId}/trades-xlsx

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • trade string
  • activityCodeFilter array[integer(int64)]
  • lookAheadFilterId array[integer(int64)]

Responses

  • 200 application/vnd.ms-excel

    OK

GET /projects/{projectId}/scenarios/{scenarioId}/trades-xlsx
curl \
 --request GET 'https://live.smartpmtech.com/projects/{projectId}/scenarios/{scenarioId}/trades-xlsx' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"